Update your Debian 6 Squeeze to Debian 7 Wheezy OVH

Today I updated my old Debian 6 Squeeze to Debian 7 Wheezy. Actually, it was quite simple.

First, make a last update of your packages.

Then, Just modify every occurrences of Squeeze to Wheezy in your /etc/sources.lst. You can use this command to do it

You can now start downloading the new package list with

I got one error with package mysql-client-5.5. Lets remove it. You will install it later if you need it. Don’t worry, it won’t remove your databases !

Install should proceed now.

When nothing remains to be upgraded, we can run the upgrade system command :

 

Don’t forget to reinstall mysql-client-5.5 and its dependencies, you may need it one day :P

Only difficulties are to confirm modifications in config files. Sometimes you want to keep your previous modifications, sometimes you don’t.

Done !

4 Thoughts on “Update your Debian 6 Squeeze to Debian 7 Wheezy OVH

  1. Hello,

    I’m using dedicated server on OVH.
    Could you tell me please, should I update the kernel (the latest version is 3.14.32-xxxx-grs-ipv6-32, my current 3.2.13-xxxx-grs-ipv6-32)?

    I tried to ask OVH support, but nothing. They just said “use the official depots to have the latest version of your system.” :)

    Thanks in advance.

    • admin on April 1, 2015 at 19:32 said:

      Hi

      Of course you should always have the latest version for your linux distribution as it corrects lots of critical vulnerabilities !
      Check OVH FAQ to update your OVH box !

      Maybe the two versions you typed are not from the same distribution. Try commands to update your kernel from this post and see if some updates are proposed !

      • Thanks for your response. I run server with latest kernel using Netboot technology on OVH and successfully upgrade my debian to wheezy.

  2. Mohamed on May 8, 2016 at 17:23 said:

    Hello,
    first I want to thank you for this post, I was looking for how to update debian squeezy to wheezy.

    I just have 2 question if you can help me :
    I checked my kernel version 3.10.9-xxxx-grs-ipv6-64. on OVH directories, the last stable version is 3.14.32. Does the kernel goes with debian version that I’m using or I can update it before updating debian 6 to 7 ?

    I read that you had some issues with mysql and you had to remove it during the installation.
    should I backup my databases before ?

    another question I’m using currently theses version of apache and php5 :
    -PHP 5.3.3-7+squeeze19 with Suhosin-Patch (cli) (built: Feb 17 2014 10:10:23)
    -Apache/2.2.16 (Debian)

    do you think that It will remove modification that I have made on theses “programs” to improve my server ?

    thank you sir

Leave a Reply

Your email address will not be published. Required fields are marked *

Post Navigation